Subject: Re: [PATCH net-next v2 6/6] ethtool: report missing header via ext_ack in the default handler

From: Jakub Kicinski <[email-masked]>
Date: Thu, 25 Aug 2022 08:34:22 -0700

On Thu, 25 Aug 2022 15:19:02 +0300 Ido Schimmel wrote:
> Nice idea. Wanted to ask why you kept the error messages for some of the
> devlink attributes, but then I figured that user space first needs to
> learn to interpret 'NLMSGERR_ATTR_MISS_TYPE' and
> 'NLMSGERR_ATTR_MISS_NEST'.

Nod.

> Do you plan to patch iproute2/ethtool after the kernel patches are accepted?

I think ethtool may be doable, I don't remember iproute2 having good
support for NLMSGERR_ATTR_OFFS (i.e. resolving offsets), but no, I'm
not planning to patch either :( Too few hours in a day :(